Subject: Re: bug#64619: [PATCH] Add toggle-window-dedicated command

From: Gregory Heytings <[email-masked]>
Date: Sun, 20 Aug 2023 08:02:25 +0000

>
> Alternatively, we could use switch-to-buffer-in-dedicated-window as that 
> user option: if the user sets it non-nil, we could take that as an 
> indication that they prefer the strongly-dedicated default.
>

IMO it would be much cleaner to just strongly dedicate the window in 
toggle-window-dedicated, and to add a note in its docstring pointing to 
switch-to-buffer-in-dedicated-window and explaining that that option 
should be used to decide what happens with C-x b.